Eclipse Modeling Tools(Eclipse 建模工具)

过程:

  1. 安装UML2.0  链接==》》失败:在Eclipse/help/Install Detail 可以看到安装了UML 2.0 ,但new->other-> 没有UML 建模选项(安装方法:下载UML2.0 zip 包,features 内文件拷贝到eclipse features 包内,plugin 内文件拷贝到eclipse plugin 包)。
  2. 在stackoverflow 看到有说明UML2.0 在eclipse 3.6 之上版本不兼容。可以安装,过程比较复杂了,推荐papyrus 。
  3. 安装papyrus ,同过程一,安装链接 ==》》失败:在Eclipse/help/Install Detail 看不到安装的papyrus,且新建不了UML 文件。
  4. 在papyrus 链接 查看文档,里面提到的Eclipse Modeling Platform 图标无,故下载Eclipse Modeling Tools 安装,按文档提示安装papyrus,可用。

 

PS:感觉Eclipse 好处在于不用安装,即下即用,每次关闭Eclipse 都会保存project 文件读取位置,再次打开或者其他版本Eclipse 打开也能方便使用。

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据